Skip to main content
GET
Retrieve A Task

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string
required

Response

Successful response

label
string
required

The blurb or label for the task.

object
string
required
organization_id
string
required

The ID of the organization this task belongs to.

Maximum string length: 32
type
enum<string>
required

The type of the task.

Available options:
activity_summary_outreach,
activity_summary_payments,
auto_response_email,
auto_response_call,
call_analysis,
disable_contact,
recommendation_new_contact,
scheduled_email_approval,
scheduled_call_approval
Maximum string length: 26
id
string
Maximum string length: 32
action_taken
enum<string> | null

The action taken on the task that affected its current state.

Available options:
complete,
complete_with_action,
close,
null
Maximum string length: 20
assignee
object
assignee_id
string | null

The ID of the user assigned to this task, if any.

Maximum string length: 32
attachments
object[]
close_reason
string | null

The reason for closing the task, if not completed.

completed_action
object
created_at
string<date-time>
data
object[]
description
string | null

The contextual description of the task.

error_reason
string | null

The reason for task failing, if an error occurred.

invoices
object[]
modified_at
string<date-time> | null
status
enum<string>

The current status of the task.

Available options:
open,
completed,
closed,
archived,
failed,
processing,
assigned_to_agent
Maximum string length: 17
trigger_event
object
trigger_event_id
string | null

The ID of the event that triggered this task, if any.

Maximum string length: 32